Bug 108849 - Add support for gesture scroll events that do not propagate to enclosing scrollables
Summary: Add support for gesture scroll events that do not propagate to enclosing scro...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Terry Anderson
URL:
Keywords:
Depends on: 109091
Blocks: 108719
  Show dependency treegraph
 
Reported: 2013-02-04 12:40 PST by Terry Anderson
Modified: 2013-02-06 17:03 PST (History)
12 users (show)

See Also:


Attachments
Patch (43.45 KB, patch)
2013-02-04 13:05 PST, Terry Anderson
no flags Details | Formatted Diff | Diff
Patch (43.68 KB, patch)
2013-02-05 16:09 PST, Terry Anderson
no flags Details | Formatted Diff | Diff
Fixed compilation issue after rollout, patch for landing (44.66 KB, patch)
2013-02-06 15:37 PST, Terry Anderson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Terry Anderson 2013-02-04 12:40:57 PST
Add support for gesture scroll events that do not propagate to enclosing scrollables. This will be used by the chromium port in https://bugs.webkit.org/show_bug.cgi?id=108719 to ensure that fling gestures scroll only their intended target.
Comment 1 Terry Anderson 2013-02-04 13:05:21 PST
Created attachment 186443 [details]
Patch
Comment 2 WebKit Review Bot 2013-02-04 13:08:28 PST
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Antonio Gomes 2013-02-05 15:02:58 PST
Comment on attachment 186443 [details]
Patch

I am not sure I like the naming used for the new event type: GestureScrollUpdateNotPropagated. It is the only event type that has a verb at the end. Maybe GestureScrollUpdateWithoutPropagation makes more sense?

Rest looks sensible.
Comment 4 Terry Anderson 2013-02-05 16:09:24 PST
Created attachment 186721 [details]
Patch
Comment 5 Terry Anderson 2013-02-05 16:10:17 PST
(In reply to comment #4)
> Created an attachment (id=186721) [details]
> Patch

GestureScrollUpdateNotPropagated changed to GestureScrollUpdateWithoutPropagation.
Comment 6 Antonio Gomes 2013-02-06 11:42:50 PST
Comment on attachment 186721 [details]
Patch

Get someone to sign-off the chromium API bits before committing.

r=me
Comment 7 James Robinson 2013-02-06 12:49:57 PST
Comment on attachment 186721 [details]
Patch

r=me for the chromium bits
Comment 8 WebKit Review Bot 2013-02-06 13:27:56 PST
Comment on attachment 186721 [details]
Patch

Clearing flags on attachment: 186721

Committed r142025: <http://trac.webkit.org/changeset/142025>
Comment 9 WebKit Review Bot 2013-02-06 13:28:01 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 WebKit Review Bot 2013-02-06 13:51:50 PST
Re-opened since this is blocked by bug 109091
Comment 11 Terry Anderson 2013-02-06 13:55:52 PST
I rolled this out due to a compile-time error:

http://build.webkit.org/builders/Chromium%20Mac%20Release/builds/55141/steps/compile-webkit/logs/stdio

Will fix up and re-land.
Comment 12 Terry Anderson 2013-02-06 15:37:29 PST
Created attachment 186936 [details]
Fixed compilation issue after rollout, patch for landing
Comment 13 WebKit Review Bot 2013-02-06 17:03:09 PST
Comment on attachment 186936 [details]
Fixed compilation issue after rollout, patch for landing

Clearing flags on attachment: 186936

Committed r142057: <http://trac.webkit.org/changeset/142057>
Comment 14 WebKit Review Bot 2013-02-06 17:03:16 PST
All reviewed patches have been landed.  Closing bug.